Subject: Re: Bleadperl on Cygwin with threads, 1 Test fails
From: "Gerrit P. Haase" <[email-masked]>
To: Cygwin Development <[email-masked]>
Date: Wed, 19 Mar 2003 09:39:26 +0100

Thomas schrieb:

> Gerrit P. Haase wrote:
>> Hallo perl5-porters,
>> 
>> successfully builded bleadperl with threads the first time,
>> many thanks to the Wizard of Perl!
>> 
>> $ cat /ftproot/pub/mirror/bleadperl/.patch
>> 19013
>> Cygwin Package Information
>> Package              Version
>> cygwin               1.3.22-1
>> 
>> 
>>   Tests were all successful, but one:
>> 
>> Failed 1/767 test scripts, 99.87% okay. 8/71458 subtests failed, 99.99% okay.
>> Failed Test               Stat Wstat Total Fail  Failed  List of Failed
>> -----------------------------------------------------------------------------------------
>> ../lib/ExtUtils/t/Embed.t                9    8  88.89%  2-9
>> 24 tests and 331 subtests skipped.
>> 
>>   
>> $ ./perl -Ilib lib/ExtUtils/t/Embed.t
>> 1..9
>> # gcc -o embed_test.exe -I..  -DPERL_USE_SAFE_PUTENV -DDEBUGGING
>> -fno-strict-aliasing 
>> -I/usr/lib/perl5/5.9.0/cygwin-thread-multi-64int/CORE  embed_test.c
>> -L.. -lperl  -g  -g -L/usr/local/lib
>> /usr/lib/perl5/5.9.0/cygwin-thread-multi-64int/auto/DynaLoader/DynaLoader.a
>> -L/usr/lib/perl5/5.9.0/cygwin-thread-multi-64int/CORE -lperl -lm -lc
>> -lcrypt -lutil
>> ok 1
>> # embed_test = ./embed_test.exe
>> ok 2
>> not ok 9 # system returned 32768
>> 

> I was able to build perl 5.8.0-1 with threads that has passed all tests
> by disabling perls internal malloc. With the perl malloc the embed test
> has failed.

You could build perl-5.8.0 with threads?  I thought the 5.8. pumpking
fixed it just some days ago?  Have you patched the sources?

The embed test failure looks not like a problem with threads to me too,
lets wait for answers from the perl5-porters.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/